Add unicode syntax for banana brackets
ClosedPublic

Authored by JoshPrice247 on Mar 16 2016, 9:21 PM.

Details

Summary

Add "⦇" and "⦈" as unicode alternatives for "(|" and "|)" respectively.

This must be implemented differently than other unicode additions
because ⦇" and "⦈" are interpretted as a $unigraphic rather than
a $unisymbol.

Test Plan

validate

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
JoshPrice247 retitled this revision from to Add unicode syntax for banana brackets (#10162).Mar 16 2016, 9:21 PM
JoshPrice247 updated this object.
JoshPrice247 edited the test plan for this revision. (Show Details)
JoshPrice247 updated the Trac tickets for this revision.
  • Change tabs to spaces in unicode arrow syntax test
  • Change tabs to spaces in arrowform1 test
JoshPrice247 retitled this revision from Add unicode syntax for banana brackets (#10162) to Add unicode syntax for banana brackets.Mar 16 2016, 9:47 PM
JoshPrice247 updated this object.
bgamari requested changes to this revision.Mar 17 2016, 4:35 AM

Thanks for taking this on!

I believe you may have run arc diff without specifying a base commit which resulted in it losing some of the diff. Could you upload again with arc diff --update D2012 $BASE_COMMIT where BASE_COMMIT is the commit before the first commit of your work?

This revision now requires changes to proceed.Mar 17 2016, 4:35 AM

Reupload attempt

I think it's right now. Thanks for the help.

bgamari accepted this revision.Mar 21 2016, 12:46 PM

Thanks for the test! Looks good to me.

This revision is now accepted and ready to land.Mar 21 2016, 12:46 PM
This revision was automatically updated to reflect the committed changes.